Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sun, 8 Apr 2018 01:09:18 -0400

Hi Ikumi,

After evaluation, there is only a dot inserted right at where I type "C-x C-e".
.

Thanks,
Liyu

On Sun, Apr 8, 2018 at 12:59 AM, Ikumi Keita <[email-masked]> wrote:
> Hi Liyu, thanks for your patience.
>
>>>>>> Liyu Gong <[email-masked]> writes:
>> Hi Ikumni,
>> The result of the evaluation is: 1 (#o1, #x1, ?\C-a)
>
> Ah, no, what I'd like to know is not the lisp return value, but the
> string inserted in the buffer.  What string is inserted in the buffer
> when you put the point just after the following form in *scratch* buffer
> and type C-x C-e ?
>
> (call-process "kpsewhich" nil
>                                (list standard-output nil) nil
>                                "--expand-path" "{.,..}")
>
> I suspect that it is ".:..", not ".;..".  If this speculation is
> correct, then cygwin version of kpsewhich is used at auto detection.
>
>> Yes, I do have a cygwin version TeX distribution. But I just double
>> checked. I didn't put the cygwin path in windows PATH, or in emacs
>> exec-path.
>
> Hmm.
>
> Regards,
> Ikumi Keita